ArtifactTransformException (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api.artifacts.transform

## Class ArtifactTransformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.artifacts.transform.ArtifactTransformException

- All Implemented Interfaces:
    `Serializable`

      public class ArtifactTransformException
      extends GradleException

  An exception to report a problem during transformation execution.
  Since:
    3.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArtifactTransformException​(File input, AttributeContainer expectedAttributes, Class<? extends ArtifactTransform> transform, Throwable cause)` | Deprecated.
    `ArtifactTransformException​(File file, AttributeContainer expectedAttributes, Throwable cause)` | Capture a failure during the execution of a file-based transformation.
    `ArtifactTransformException​(ComponentArtifactIdentifier artifact, AttributeContainer expectedAttributes, Throwable cause)` | Capture a failure during the execution of a file-based transformation.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactTransformException

          @Deprecated
          public ArtifactTransformException​(File input,
                                            AttributeContainer expectedAttributes,
                                            Class<? extends ArtifactTransform> transform,
                                            Throwable cause)

      Deprecated.

    - #### ArtifactTransformException

          @Incubating
          public ArtifactTransformException​(File file,
                                            AttributeContainer expectedAttributes,
                                            Throwable cause)

      Capture a failure during the execution of a file-based transformation.
      Since:
        5.1

    - #### ArtifactTransformException

          @Incubating
          public ArtifactTransformException​(ComponentArtifactIdentifier artifact,
                                            AttributeContainer expectedAttributes,
                                            Throwable cause)

      Capture a failure during the execution of a file-based transformation.
      Since:
        5.1